Android Device Compatibility

Last Updated -

Android Compatibility

Smartphones with Android OS 4.4+ using Bluetooth 4.0 LE.

Devices that have Bluetooth 4.0 A2DP only are not supported for Zepp 2.

*Please note that all Android tablets have limited support when running our app, since we cannot extensively test the thousands of different Android brands and models for compatibility.

Recommended: For better overall performance upgrade mobile device to Android 5.x


If you are running OS 6.0 (Marshmallow), please note that Google has changed the permissions required for Bluetooth connectivity. You must turn on location services in order for you device to work with the Zepp sensor. Go to : Settings > Location to turn on location services.
 
To check what version operating system your Android device is, do the following:

 
1) Open Settings
2) Select "About Phone" and the version will be located under the heading, "Android Version"

Devices that we have tested that work with the Zepp apps:
  • Samsung S7
  • Samsung S6
  • Samsung S5
  • Samsung S4
  • Samsung Note 3
  • Samsung Note 4
  • Nexus 6
  • Nexus 5
  • Nexus 4
  • Moto X
  • ​Maize Pro 5
  • HTC ONE
  • Huawei Mate 8
  • ​Hongmi 3
 
Devices that will not work with Zepp apps:

 
  • Nexus 7 (1st generation)
  • Droid Turbo mobile devices
  • Ellipsis Tablets 
  • Zeki 8 Tablet
  • RCA Pro 10
  • Zenfone 2
  • Moto X 2nd Gen

 

Did you find this article helpful?

Contact Us

Hours of operation are Monday - Friday 8:00am - 5:00pm PST